Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp cắt đoạn thẳng tại 1 điểm

Các bài được khuyến nghị

hhhhgggg    30

Trên diễn đàn có lisp cắt 1 đoạn thẳng tại 1 điểm, bác nào nhanh mắt tìm giúp em với, Em tìm mãi ko thấy.

Tức là lisp này cho phép cắt đoạn thẳng thành 2 phần riêng biệt nhau !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Trên diễn đàn có lisp cắt 1 đoạn thẳng tại 1 điểm, bác nào nhanh mắt tìm giúp em với, Em tìm mãi ko thấy.

Tức là lisp này cho phép cắt đoạn thẳng thành 2 phần riêng biệt nhau !

Bạn thử cái này nhé :

 

(defun c:brf()

(command "break" (car(entsel"\n Select an object :"))

(getpoint "\n Break point :") "@")

(princ)

)

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
huyhuong    14
Bạn thử cái này nhé :

 

(defun c:brf()

(command "break" (car(entsel"\n Select an object :"))

(getpoint "\n Break point :") "@")

(princ)

)

 

bac có thể nâng cấp nên cho cắt cả đường tròn được không. vì em thử với Line, pline, arc, spl thì ok nhưng với đường tròn ( Circle) thì không đươc

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.376
bac có thể nâng cấp nên cho cắt cả đường tròn được không. vì em thử với Line, pline, arc, spl thì ok nhưng với đường tròn ( Circle) thì không đươc

Cỉcle khi ngắt ra thì thành arc mà arc thì không chịu có điểm đầu và cuối trùng nhau.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
bac có thể nâng cấp nên cho cắt cả đường tròn được không. vì em thử với Line, pline, arc, spl thì ok nhưng với đường tròn ( Circle) thì không đươc

Không được. Đường tròn là một arc có góc ở tâm bằng 360 độ. Và khi thực hiện lệnh Break tại 1 điểm CAD đã báo lỗi rằng : Arc cannot be full 360 degrees

 

Command: _break Select object:

Specify second break point or [First point]: _f

Specify first break point:

Specify second break point: @

Arc cannot be full 360 degrees

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hhhhgggg    30
Cỉcle khi ngắt ra thì thành arc mà arc thì không chịu có điểm đầu và cuối trùng nhau.

Lisp chạy tốt lắm nhưng mà ko cắt được đường tròn thật ! hjc ! lúc nào tìm ra giải pháp thì bác Tuệ chỉnh cho diễn đàn lun nhé !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×